From 8c3b7f81c8f3a78fefa9092d9c146646b158a1d7 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Mar 16 2022 12:25:27 +0000
Subject: [PATCH 2/28] [qtau][sinsy][sekai][hts_engine_api-git]: add package and deps


---

diff --git a/pcr-testing/hts_engine_api-git/PKGBUILD b/pcr-testing/hts_engine_api-git/PKGBUILD
new file mode 100644
index 0000000..6b0f1d4
--- /dev/null
+++ b/pcr-testing/hts_engine_api-git/PKGBUILD
@@ -0,0 +1,39 @@
+# Maintainer bill-auger <bill-auger@programmer.net>
+
+
+# rationale for VCS package:
+# - the latest release source-ball (from 2015) does not compile
+
+
+pkgname=hts_engine_api-git
+pkgver=0.0.0.vcs
+pkgrel=1
+pkgdesc="Synthesize speech waveform from HTS-trained HMMs"
+arch=(armv7h i686 x86_64)
+license=(custom:BSD3)
+url=http://hts-engine.sourceforge.net/
+makedepends=(cmake git)
+source=(git+https://github.com/r9y9/hts_engine_API.git)
+sha256sums=('SKIP')
+
+
+build()
+{
+  mkdir "${srcdir}"/hts_engine_API/src/build
+  cd    "${srcdir}"/hts_engine_API/src/build
+
+  cmake -DCMAKE_BUILD_TYPE=Release  \
+        -DBUILD_SHARED_LIBS=ON      \
+        -DCMAKE_INSTALL_PREFIX=/usr \
+        -DCMAKE_INSTALL_LIBDIR=lib  ..
+  make
+}
+
+package()
+{
+  cd "${srcdir}"/hts_engine_API/src/build
+
+  make DESTDIR="${pkgdir}" install
+
+  install -Dm644 ../COPYING "${pkgdir}"/usr/share/licences/${pkgname}/COPYING
+}
diff --git a/pcr-testing/qtau/PKGBUILD b/pcr-testing/qtau/PKGBUILD
new file mode 100644
index 0000000..0c4fee3
--- /dev/null
+++ b/pcr-testing/qtau/PKGBUILD
@@ -0,0 +1,38 @@
+# Maintainer bill-auger <bill-auger@programmer.net>
+
+
+pkgname=qtau
+pkgver=0.5.5
+pkgrel=1
+pkgdesc="Qt based UTAU clone (also supports FESTIVAL and MBROLA voices)"
+arch=(armv7h i686 x86_64)
+license=(GPL3 CCPL custom:CC0) # the CCPL is CC-BY-3.0
+url=https://www.qtau.de/
+depends=(espeak-ng fftw gsl hts_engine_api-git jack2 libsmf qt5-base sekai sinsy)
+makedepends=(boost)
+source=(${pkgname}-${pkgver}.tar.gz::https://notabug.org/isengaara/${pkgname}/archive/upstream/${pkgver}.tar.gz)
+sha256sums=('ebc491e39fa76c9a7f1c92faaac193cc7153d0dc092ade54fc3e54b85511189f')
+
+
+prepare()
+{
+  mv "${srcdir}"/${pkgname}{,-${pkgver}}
+}
+
+build()
+{
+  mkdir "${srcdir}"/${pkgname}-${pkgver}/build
+  cd    "${srcdir}"/${pkgname}-${pkgver}/build
+
+  qmake PREFIX=/usr ..
+  make
+}
+
+package()
+{
+  cd "${srcdir}"/${pkgname}-${pkgver}/build
+
+  make INSTALL_ROOT="${pkgdir}" install
+
+  install -Dm644 ../LICENSES/CC0-1.0.txt "${pkgdir}"/usr/share/licences/${pkgname}/CC0-1.0.txt
+}
diff --git a/pcr-testing/sekai/PKGBUILD b/pcr-testing/sekai/PKGBUILD
new file mode 100644
index 0000000..4578fcb
--- /dev/null
+++ b/pcr-testing/sekai/PKGBUILD
@@ -0,0 +1,50 @@
+# Maintainer bill-auger <bill-auger@programmer.net>
+
+
+# NOTE: this code-base was forked from a BSD3 project,
+#       then re-licensed AGPL; but the original license
+#       was apparently deleted from the code-base.
+#       the original license still applies however;
+#       so we fetch it from the original upstream
+
+
+pkgname=sekai
+pkgver=0.6rc0
+pkgrel=1
+pkgdesc="High-quality speech analysis, manipulation, and synthesis system"
+arch=(armv7h i686 x86_64)
+license=(AGPL3 custom:BSD3)
+url=https://www.qtau.de/
+depends=(fftw gsl jack2 libsndfile)
+makedepends=(boost cmake)
+source=(${pkgname}-${pkgver}.tar.gz::https://notabug.org/isengaara/${pkgname}/archive/${pkgver}.tar.gz
+        https://raw.githubusercontent.com/mmorise/World/master/LICENSE.txt)
+sha256sums=('5ee1a1879f5cb4471315f35aba24cb097752399ea711d9d774cab9f916d5e4aa'
+            '6921ef0a65a931509b4055075fd847d7257c4094609075dd0615e8e997215f7e')
+
+
+prepare()
+{
+  mv "${srcdir}"/${pkgname}{,-${pkgver}}
+}
+
+build()
+{
+  mkdir "${srcdir}"/${pkgname}-${pkgver}/build
+  cd    "${srcdir}"/${pkgname}-${pkgver}/build
+
+  cmake -DCMAKE_BUILD_TYPE=Release  \
+        -DBUILD_SHARED_LIBS=ON      \
+        -DCMAKE_INSTALL_PREFIX=/usr \
+        -DCMAKE_INSTALL_LIBDIR=lib  ..
+  make
+}
+
+package()
+{
+  cd "${srcdir}"/${pkgname}-${pkgver}/build
+
+  make DESTDIR="${pkgdir}" install
+
+  install -Dm644 "${srcdir}"/LICENSE.txt "${pkgdir}"/usr/share/licences/${pkgname}/LICENSE.txt
+}
diff --git a/pcr-testing/sinsy/PKGBUILD b/pcr-testing/sinsy/PKGBUILD
new file mode 100644
index 0000000..35eb3e5
--- /dev/null
+++ b/pcr-testing/sinsy/PKGBUILD
@@ -0,0 +1,50 @@
+# Maintainer bill-auger <bill-auger@programmer.net>
+
+
+pkgname=sinsy
+pkgver=0.9.6rc0
+pkgrel=1
+pkgdesc="HMM-based singing voice synthesis system"
+arch=(armv7h i686 x86_64)
+license=(custom:BSD3)
+url=https://www.qtau.de/
+depends=(fftw gsl libsndfile sekai)
+makedepends=(boost cmake)
+source=(${pkgname}-${pkgver}.tar.gz::https://notabug.org/isengaara/${pkgname}/archive/${pkgver}.tar.gz)
+sha256sums=('d769778f0730e9d3d343c7de2b9f09c3903afc38a7ac1b54d104976fff16ab82')
+
+
+prepare()
+{
+  mv "${srcdir}"/${pkgname}{,-${pkgver}}
+  cd "${srcdir}"/${pkgname}-${pkgver}/
+
+  # error: for_each is not a member of std (in src/lib/utau/UtauDB.cpp)
+  #        possibly due to the -std=c++14 in build()
+  sed -i 's|#include <iostream>|#include <algorithm>\n#include <iostream>|' src/lib/utau/UtauDB.cpp
+}
+
+build()
+{
+  mkdir "${srcdir}"/${pkgname}-${pkgver}/build
+  cd    "${srcdir}"/${pkgname}-${pkgver}/build
+
+  # error: c++17 does not allow dynamic exception specifications
+  #        (in src/lib/xml/XmlParser.h, src/lib/util/IReadableStream.h)
+  export CXXFLAGS="-std=c++14"
+
+  cmake -DCMAKE_BUILD_TYPE=Release  \
+        -DBUILD_SHARED_LIBS=ON      \
+        -DCMAKE_INSTALL_PREFIX=/usr \
+        -DCMAKE_INSTALL_LIBDIR=lib  ..
+  make
+}
+
+package()
+{
+  cd "${srcdir}"/${pkgname}-${pkgver}/build
+
+  make DESTDIR="${pkgdir}" install
+
+  install -Dm644 ../src/COPYING "${pkgdir}"/usr/share/licences/${pkgname}/COPYING
+}

